package com.bocloud.cmp.provider.network;

import com.bocloud.cmp.model.PortModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

public interface PortProvider extends SuperProvider {
	/**
	 * 同步
	 *
	 * @return
	 */
	public BocloudResult sync();

	default BocloudResult list() {
		return new BocloudResult(false, "暂未开发！");
	}

	/**
	 * 创建
	 *
	 * @param portModel
	 * @return
	 */
	public BocloudResult create(PortModel portModel);

	/**
	 * 创建
	 *
	 * @param portModel
	 * @return
	 */
	public BocloudResult modify(PortModel portModel);

	/**
	 * 删除
	 *
	 * @param portId
	 * @return
	 */
	public BocloudResult remove(String portId);

	/**
	 * 详情
	 *
	 * @param portId
	 * @return
	 */
	public BocloudResult detail(String portId);
}
